from dotenv import load_dotenv
import os

import ai.processor
import webserver.web

load_dotenv()

def main():
    aip = ai.processor.AIProcessor(
        api_key=os.getenv("OPENAI_API_KEY", ""),
        model=os.getenv("OPENAI_MODEL", "gpt-4.1")
    )
    server = webserver.web.WebServerApp(aip)
    server.run(host="0.0.0.0", port=int(os.getenv("PORT", 5000)), debug=int(os.getenv("DEBUG", 0)) > 0)

if __name__ == "__main__":
    main()
